org.apache.ignite.cache.store.cassandra.session.transaction

## Interface Mutation

- All Known Implementing Classes:
    BaseMutation, DeleteMutation, WriteMutation

      public interface Mutation

  Provides information about particular mutation operation performed withing transaction.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.datastax.driver.core.BoundStatement` | `bindStatement(com.datastax.driver.core.PreparedStatement statement)` Binds prepared statement to current Cassandra session.
    `KeyValuePersistenceSettings` | `getPersistenceSettings()` Returns Ignite cache key/value persistence settings.
    `String` | `getStatement()` Returns unbind CLQ statement for to be executed.
    `String` | `getTable()` Cassandra table to use for an operation.
    `boolean` | `tableExistenceRequired()` Indicates if Cassandra tables existence is required for this operation.

- - ### Method Detail

    - #### getTable

          String getTable()

      Cassandra table to use for an operation.
      Returns:
        Table name.

    - #### tableExistenceRequired

          boolean tableExistenceRequired()

      Indicates if Cassandra tables existence is required for this operation.
      Returns:
        `true` true if table existence required.

    - #### getPersistenceSettings

          KeyValuePersistenceSettings getPersistenceSettings()

      Returns Ignite cache key/value persistence settings.
      Returns:
        persistence settings.

    - #### getStatement

          String getStatement()

      Returns unbind CLQ statement for to be executed.
      Returns:
        Unbind CQL statement.

    - #### bindStatement

          com.datastax.driver.core.BoundStatement bindStatement(com.datastax.driver.core.PreparedStatement statement)

      Binds prepared statement to current Cassandra session.
      Parameters:
        `statement` - Statement.
      Returns:
        Bounded statement.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023